Partially update a billing template client by client's ID.
ApiKeyAuthorizationBearer <token>Your API key from the Developers section of your account, sent as a bearer token.
id*stringObject ID (UUID)
uuidapplication/json- body
Connects a Client object to a BillingTemplate having is_subscription = true to store information about a single subscriber.
You will be able to pause an individual subscription client's cycle by PATCH-ing its' status field to the value of subscription_paused.
client_id*stringID of the Client object to add to the BillingTemplate. Read-only after the BillingTemplateClient has been created. Note that the same Client can be added to a BillingTemplate several times.
uuidinvoice_reference?|When present overrides reference for invoices generated for this client
length <= 128status?stringFor subscriptions, you can edit (PATCH /billing_templates/{id}/clients/{id}/) this status between active and subscription_paused values to pause the client's subscription. Paused subscriptions run as normal, except for purchases not being created and invoices sent for them. It means that if you pause a BillingTemplateClient's monthly subscription cycle a day before the billing date, the next day the invoice will not be issued; but, if you unpause the client a day after the planned billing would have taken place, the planned billing in a month (minus one day) will happen as usual.
Read-only if the BillingTemplateClient is in inactive (internal status not managed through public API) or pending (see documentation for POST /billing_templates/{id}/add_subscriber/) statuses.
"inactive""pending""inactive""active""subscription_paused"payment_method_whitelist?array<>An optional whitelist of payment methods availble for purchases generated for this BillingTemplateClient. Copied 1:1 to Purchase.payment_method_whitelist field on created Purchases (see its description).
1 <= itemssend_invoice_on_charge_failure?booleanSends invoice when subscription charge fails if this is true
truesend_invoice_on_add_subscriber?booleanSends invoice when POST /billing_templates/{id}/add_subscriber/ is called if this is true
falsesend_receipt?booleanSends receipt when subscription charge succeeds if this is true
trueOK
application/json- response
Connects a Client object to a BillingTemplate having is_subscription = true to store information about a single subscriber.
You will be able to pause an individual subscription client's cycle by PATCH-ing its' status field to the value of subscription_paused.
type?stringObject type identifier
id?stringuuidcreated_on?integerObject creation time
Unix timestamp (seconds)updated_on?integerObject last modification time
Unix timestamp (seconds)client_id*stringID of the Client object to add to the BillingTemplate. Read-only after the BillingTemplateClient has been created. Note that the same Client can be added to a BillingTemplate several times.
uuidnumber_of_billing_cycles_passed?integerOnly used together with number_of_billing_cycles on BillingTemplate. Shows number of billing cycles passed when number of cycles is limited
invoice_reference?|When present overrides reference for invoices generated for this client
length <= 128status?stringFor subscriptions, you can edit (PATCH /billing_templates/{id}/clients/{id}/) this status between active and subscription_paused values to pause the client's subscription. Paused subscriptions run as normal, except for purchases not being created and invoices sent for them. It means that if you pause a BillingTemplateClient's monthly subscription cycle a day before the billing date, the next day the invoice will not be issued; but, if you unpause the client a day after the planned billing would have taken place, the planned billing in a month (minus one day) will happen as usual.
Read-only if the BillingTemplateClient is in inactive (internal status not managed through public API) or pending (see documentation for POST /billing_templates/{id}/add_subscriber/) statuses.
"inactive""pending""inactive""active""subscription_paused"subscription_billing_scheduled_on?|If not null, reports the date when the next billing is scheduled for this client.
nullpayment_method_whitelist?array<>An optional whitelist of payment methods availble for purchases generated for this BillingTemplateClient. Copied 1:1 to Purchase.payment_method_whitelist field on created Purchases (see its description).
1 <= itemssend_invoice_on_charge_failure?booleanSends invoice when subscription charge fails if this is true
truesend_invoice_on_add_subscriber?booleanSends invoice when POST /billing_templates/{id}/add_subscriber/ is called if this is true
falsesend_receipt?booleanSends receipt when subscription charge succeeds if this is true
truecurl -X PATCH 'https://gate.reviopay.com/api/v1/billing_templates/497f6eca-6276-4993-bfeb-53cbbbba6f08/clients/{id}/' \ -H 'Content-Type: application/json' \ -d '{ "status": "active"}'{ "client_id": "5b3fa7ba-57d3-4017-a65b-d57dcd2db643", "number_of_billing_cycles_passed": 0, "invoice_reference": "string", "status": "pending", "subscription_billing_scheduled_on": null, "payment_method_whitelist": [ "string" ], "send_invoice_on_charge_failure": true, "send_invoice_on_add_subscriber": false, "send_receipt": true, "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created_on": 1619740800, "updated_on": 1619740800}